Get details about a deployment procedure

get

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/deploymentProcedures/{deploymentProcedureId}

Get details about a deployment procedure. In emcli, it is equivalent to 'describe_procedure_input'

Request

Path Parameters
Query Parameters
  • if include=procedureInput or include=XmlFormat, information about procedure input/procedure xml is included in the response

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Deployment Procedure returned successfully
Body ()
Root Schema : DeploymentProcedure
Type: object
It represents a Procedure
Match All
It represents a Procedure
Show Source
Nested Schema : DeploymentProcedureDetails
Type: object
This is the representation of a Procedure.
Show Source
Nested Schema : procedureInput
Type: object
input which given during submit procedure
Match All
input which given during submit procedure
Show Source
Nested Schema : DescribeProcedureInput
Type: object
This is the representation of an input given while submitting deployment procedure.
Show Source
Nested Schema : Schedule
Type: object
Schedule details
Show Source
Nested Schema : DeploymentProcedureTargetList
Type: array
Defining list of procedure targets
Show Source
Nested Schema : DeploymentProcedureVariableCollection
Type: object
Collections of Procedure Variable
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : DeploymentProcedureTargetCollection
Type: object
Collections of Procedure Target
Show Source
Nested Schema : items
Type: array
The list of targets
Show Source
Nested Schema : DeploymentProcedureTargetSummary
Type: object
This is the representation of Procedure Target
Match All
This is the representation of Procedure Target
Show Source
Nested Schema : DeploymentProcedureTargetDetails
Type: object
Defining Target for Deployment Procedure
Show Source
Nested Schema : CredentialReference
Type: array
This is the representation of credential references.
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : items
Type: array
The list of procedure variables
Show Source
Nested Schema : DeploymentProcedureVariableSummary
Type: object
This is the representation of Procedure Variable
Match All
This is the representation of Procedure Variable
Show Source
Nested Schema : DeploymentProcedureVariableDetails
Type: object
Defining Variable for Deployment Procedure
Show Source

400 Response

Bad Request.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

401 Response

Unauthorized.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

403 Response

Forbidden.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

404 Response

Not Found.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

500 Response

Internal Server Error.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

503 Response

Service Unavailable
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source
Back to Top